Loading...
Searching...
No Matches
csRtAudioParams Struct Reference

Real-time audio parameters structure. More...

`#include <csound.h>`

## Data Fields

char * | devName
| device name (NULL/empty: default)
int | devNum
| device number (0-1023), 1024: default
unsigned int | bufSamp_SW
| buffer fragment size (-b) in sample frames
int | bufSamp_HW
| total buffer size (-B) in sample frames
int | nChannels
| number of channels
int | sampleFormat
| sample format (AE_SHORT etc.)
float | sampleRate
| sample rate in Hz

## Detailed Description

Real-time audio parameters structure.

## Field Documentation

## bufSamp_HW

int csRtAudioParams::bufSamp_HW

total buffer size (-B) in sample frames

## bufSamp_SW

unsigned int csRtAudioParams::bufSamp_SW

buffer fragment size (-b) in sample frames

## devName

char* csRtAudioParams::devName

device name (NULL/empty: default)

## devNum

int csRtAudioParams::devNum

device number (0-1023), 1024: default

## nChannels

int csRtAudioParams::nChannels

number of channels

## sampleFormat

int csRtAudioParams::sampleFormat

sample format (AE_SHORT etc.)

## sampleRate

float csRtAudioParams::sampleRate

sample rate in Hz